import HcSys from './hc-sys/index.vue'
import HcImg from './hc-img/index.vue'
import HcPdf from './hc-pdf/index.vue'
import HcTabbar from './tabbar/index.vue'
import HcTabbars from './hc-tabbar/index.vue'
import HcTabbarBlock from './hc-tabbar/block.vue'
import HcNavBar from './navbar/index.vue'
import HcNavBackBar from './nav-back-bar/index.vue'
import HcSelectFile from './select-file/index.vue'
import HcTree from './hc-tree/hc-tree.vue'
import HcTreeNode from './hc-tree/tree-node.vue'
import HcPopup from './hc-popup/index.vue'
import HcBreadcrumb from './hc-breadcrumb/index.vue'
import HcUpdate from './hc-update/index.vue'

//注册全局组件
export const setupComponents = (App) => {
    App.component('HcSys', HcSys)
    App.component('HcImg', HcImg)
    App.component('HcPdf', HcPdf)
    App.component('HcTabbar', HcTabbar)
    App.component('HcTabbars', HcTabbars)
    App.component('HcNavBar', HcNavBar)
    App.component('HcNavBackBar', HcNavBackBar)
    App.component('HcTabbarBlock', HcTabbarBlock)
    App.component('HcSelectFile', HcSelectFile)
    App.component('HcTree', HcTree)
    App.component('HcTreeNode', HcTreeNode)
    App.component('HcPopup', HcPopup)
    App.component('HcBreadcrumb', HcBreadcrumb)
    App.component('HcUpdate', HcUpdate)
}
